require 'bundler/setup'
Bundler.setup

require 'wobaduser'
require 'dotenv'

Dotenv.load( File.expand_path(__FILE__ + '/../.localenv'),
              File.expand_path(__FILE__ + '/../.env'))

RSpec.configure do |config|
  config.run_all_when_everything_filtered = true
  # config.filter_run :focus
  config.mock_framework = :rspec

  config.around(:each) do |example|
    Timeout::timeout(Wobaduser.timeout + 1) {
      example.run
    }
  end

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
end
